Bug 1346620 - [RFE] port tasks grid to Backgrid
Summary: [RFE] port tasks grid to Backgrid
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: web UI
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 24.0
Assignee: Tyrone Abdy
QA Contact: tools-bugs
URL:
Whiteboard:
Keywords: FutureFeature, Patch
Depends On: 887068
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-15 06:09 UTC by Dan Callaghan
Modified: 2017-02-21 18:49 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-02-21 18:49:28 UTC


Attachments (Terms of Use)

Description Dan Callaghan 2016-06-15 06:09:20 UTC
The tasks grid (from the menu: Scheduler -> Task Library) is currently using TurboGears @paginate. It should be ported to use Backgrid with a JSON API on the server side.

This is similar to the other Backgrid ports we have done such as bug 1275999.

Comment 1 Dan Callaghan 2016-06-15 06:14:02 UTC
Some similar ports in the past, these could be used as a template for this one since there is nothing special/unusual about the tasks grid that I can think of:

https://git.beaker-project.org/cgit/beaker/commit/?id=f99537ffd05a1db0a37829c0818977045ba5a9d1
https://git.beaker-project.org/cgit/beaker/commit/?id=e6f2a9d2bd77e8d08e425b2150482d56aa175147
https://git.beaker-project.org/cgit/beaker/commit/?id=9c4c121a0dfd0be87e6c8541a5249ca1e514038e
https://git.beaker-project.org/cgit/beaker/commit/?id=c69d0f3abe87f8fac3423eed18aba92d3be17eb4

but it should be simpler than all of those because there are no relationship columns and there is no Add/Create button on this grid.

Comment 2 Dan Callaghan 2016-09-12 06:00:17 UTC
The grid currently has an action column for Disable, but that really belongs on the task page and not the task grid: bug 887068.

Comment 3 Tyrone Abdy 2016-09-16 05:07:21 UTC
https://gerrit.beaker-project.org/#/c/5222/

Comment 4 Tyrone Abdy 2016-09-20 01:27:03 UTC
https://gerrit.beaker-project.org/#/c/5215/

Comment 7 Dan Callaghan 2016-11-03 06:32:04 UTC
We noticed that the query builder on /tasks/ no longer offers to search by type, excluded osmajors, or excluded arches.

http://gerrit.beaker-project.org/5399

Comment 8 Tyrone Abdy 2016-11-06 22:27:14 UTC
https://gerrit.beaker-project.org/#/c/5399/

Comment 11 Dan Callaghan 2017-02-21 18:49:28 UTC
Beaker 24.0 has been released.


Note You need to log in before you can comment on or make changes to this bug.